#
# spec file for package perl-Exporter-Lite
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-Exporter-Lite
Version:        0.02
Release:        2.2
License:        GPL-1.0+ or Artistic-1.0
%define cpan_name Exporter-Lite
Summary:        Lightweight exporting of variables
Url:            http://search.cpan.org/dist/Exporter-Lite/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/M/MS/MSCHWERN/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
# BuildRequires:  perl-macros - breaks build
%{perl_requires}

%description
This is an alternative to Exporter intended to provide a lightweight subset
of its functionality. It supports 'import()', '@EXPORT' and '@EXPORT_OK'
and not a whole lot else.

Unlike Exporter, it is not necessary to inherit from Exporter::Lite (ie. no
'@ISA = qw(Exporter::Lite)' mantra). Exporter::Lite simply exports its
import() function. This might be called a "mix-in".

Setting up a module to export its variables and functions is simple:

    package My::Module;
    use Exporter::Lite;

    @EXPORT = qw($Foo bar);

now when you 'use My::Module', '$Foo' and 'bar()' will show up.

In order to make exporting optional, use @EXPORT_OK.

    package My::Module;
    use Exporter::Lite;

    @EXPORT_OK = qw($Foo bar);

when My::Module is used, '$Foo' and 'bar()' will _not_ show up. You have to
ask for them. 'use My::Module qw($Foo bar)'.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)

%changelog
* Thu Jul 14 2011 coolo@novell.com
- updated to 0.02
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Nov 29 2010 coolo@novell.com
- called spec2changelog
* Tue Jun 20 2006 jfunk@funktronics.ca
- Build under build service
* Fri Nov 11 2005 jfunk@funktronics.ca
- Build for SL10
* Thu May 12 2005 jfunk@funktronics.ca
- Build for SL93
* Fri Nov 19 2004 jfunk@funktronics.ca
- Build for SL92
* Tue May 11 2004 jfunk@funktronics.ca
- Initial release
